Index: lib/admin/backup-configuration.jsp
===================================================================
--- lib/admin/backup-configuration.jsp	(revision 5030)
+++ lib/admin/backup-configuration.jsp	(revision 5031)
@@ -1,6 +1,6 @@
 <%@ page language="java"%>
 <%@ page
-	import="edu.ucsb.nceas.metacat.util.OrganizationUtil,edu.ucsb.nceas.metacat.service.PropertyService"%>
+	import="edu.ucsb.nceas.metacat.util.OrganizationUtil,edu.ucsb.nceas.metacat.properties.PropertyService"%>
 <%
 	/**
 	 *  '$RCSfile$'
Index: lib/admin/admin-login.jsp
===================================================================
--- lib/admin/admin-login.jsp	(revision 5030)
+++ lib/admin/admin-login.jsp	(revision 5031)
@@ -1,5 +1,5 @@
 <%@ page language="java" %> 
-<%@ page import="edu.ucsb.nceas.metacat.util.OrganizationUtil,edu.ucsb.nceas.metacat.service.PropertyService" %>
+<%@ page import="edu.ucsb.nceas.metacat.util.OrganizationUtil,edu.ucsb.nceas.metacat.properties.PropertyService" %>
 <% 
 /**
  *  '$RCSfile$'
Index: lib/admin/metacat-configuration.jsp
===================================================================
--- lib/admin/metacat-configuration.jsp	(revision 5030)
+++ lib/admin/metacat-configuration.jsp	(revision 5031)
@@ -1,6 +1,6 @@
 <%@ page language="java"  %>
 <%@ page import="edu.ucsb.nceas.metacat.database.DBVersion,edu.ucsb.nceas.metacat.MetacatVersion" %>
-<%@ page import="edu.ucsb.nceas.metacat.service.PropertyService" %>
+<%@ page import="edu.ucsb.nceas.metacat.properties.PropertyService" %>
 
 <%
 	/**
@@ -125,7 +125,7 @@
     	<tr>
     	<td class="configured-tag">[configured] </td>
     	<td class="property-title"> Database Installation/Upgrade </td> 
-		<td class="configure-link"> Version: <%= databaseVersion.getVersionString() %> </td>    		
+		<td class="configure-link"> Version: <%=databaseVersion.getVersionString()%> </td>    		
     	</tr>
 <%
 	} else {
@@ -134,18 +134,18 @@
     	<td class="unconfigured-tag">[unconfigured] </td>  
     	<td class="property-title"> Database Installation/Upgrade </td>
 <%
-		if (propsConfigured != null && propsConfigured) {
+	if (propsConfigured != null && propsConfigured) {
 %>
         	
 		<td class="configure-link"> <a href="<%= request.getContextPath() %>/admin?configureType=database">Configure Now</a> </td>			
         	
 <%
-		} else {
-%> 
+			        		} else {
+			        	%> 
 		<td class="configure-link"> Configure Global Properties First </td>
 <%
-		}
-			%>     	
+	}
+%>     	
     	</tr>
 <%
 	}
Index: lib/style/skins/default/index.jsp
===================================================================
--- lib/style/skins/default/index.jsp	(revision 5030)
+++ lib/style/skins/default/index.jsp	(revision 5031)
@@ -1,4 +1,4 @@
-<%@ page    language="java" import="edu.ucsb.nceas.metacat.service.PropertyService"%>
+<%@ page    language="java" import="edu.ucsb.nceas.metacat.properties.PropertyService"%>
 <% 
  /**
   *  '$RCSfile$'
Index: lib/style/skins/first/index.jsp
===================================================================
--- lib/style/skins/first/index.jsp	(revision 5030)
+++ lib/style/skins/first/index.jsp	(revision 5031)
@@ -1,6 +1,6 @@
 <%@ page    language="java" %>
 <%
-/**
+	/**
  * 
  * '$RCSfile$'
  * Copyright: 2008 Regents of the University of California and the
@@ -22,7 +22,7 @@
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- */  
+ */
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
Index: lib/style/skins/knb2/index2.jsp
===================================================================
--- lib/style/skins/knb2/index2.jsp	(revision 5030)
+++ lib/style/skins/knb2/index2.jsp	(revision 5031)
@@ -32,7 +32,7 @@
 %>
 <%@ include file="PORTAL_SETTINGS.jsp"%>
 <%@ include file="include_session_vars.jsp"%>
-<%@ page import="edu.ucsb.nceas.metacat.service.PropertyService" %>
+<%@ page import="edu.ucsb.nceas.metacat.properties.PropertyService" %>
 
 <% 
 	Vector<String> organizationList = OrganizationUtil.getOrganizations();
Index: lib/style/skins/knb2/index_map_only.jsp
===================================================================
--- lib/style/skins/knb2/index_map_only.jsp	(revision 5030)
+++ lib/style/skins/knb2/index_map_only.jsp	(revision 5031)
@@ -32,7 +32,7 @@
 %>
 <%@ include file="PORTAL_SETTINGS.jsp"%>
 <%@ include file="include_session_vars.jsp"%>
-<%@ page import="edu.ucsb.nceas.metacat.service.PropertyService" %>
+<%@ page import="edu.ucsb.nceas.metacat.properties.PropertyService" %>
 
 <%
 ///////////////////////////////////////////////////////////////////////////////
Index: lib/style/skins/knb2/index.jsp
===================================================================
--- lib/style/skins/knb2/index.jsp	(revision 5030)
+++ lib/style/skins/knb2/index.jsp	(revision 5031)
@@ -32,7 +32,7 @@
 %>
 <%@ include file="PORTAL_SETTINGS.jsp"%>
 <%@ include file="include_session_vars.jsp"%>
-<%@ page import="edu.ucsb.nceas.metacat.service.PropertyService" %>
+<%@ page import="edu.ucsb.nceas.metacat.properties.PropertyService" %>
 
 <% 
 	Vector<String> organizationList = OrganizationUtil.getOrganizations();
Index: lib/style/common/ClientViewHelper.jspx
===================================================================
--- lib/style/common/ClientViewHelper.jspx	(revision 5030)
+++ lib/style/common/ClientViewHelper.jspx	(revision 5031)
@@ -3,7 +3,7 @@
     
     <jsp:directive.page contentType="text/html;charset=UTF-8"/>
     <jsp:directive.page import="com.oreilly.servlet.multipart.MultipartParser"/>
-    <jsp:directive.page import="edu.ucsb.nceas.metacat.service.PropertyService"/>
+    <jsp:directive.page import="edu.ucsb.nceas.metacat.properties.PropertyService"/>
     <jsp:directive.page import="java.io.*"/>
     <jsp:directive.page import="javax.servlet.*"/>
     <jsp:directive.page import="javax.servlet.http.*"/>
Index: lib/style/common/fgdc/ClientViewHelper.jspx
===================================================================
--- lib/style/common/fgdc/ClientViewHelper.jspx	(revision 5030)
+++ lib/style/common/fgdc/ClientViewHelper.jspx	(revision 5031)
@@ -3,7 +3,7 @@
     
     <jsp:directive.page contentType="text/html;charset=UTF-8"/>
     <jsp:directive.page import="com.oreilly.servlet.multipart.MultipartParser"/>
-    <jsp:directive.page import="edu.ucsb.nceas.metacat.service.PropertyService"/>
+    <jsp:directive.page import="edu.ucsb.nceas.metacat.properties.PropertyService"/>
     <jsp:directive.page import="java.io.*"/>
     <jsp:directive.page import="javax.servlet.*"/>
     <jsp:directive.page import="javax.servlet.http.*"/>
Index: src/upgrade_db_to_1_5.java
===================================================================
--- src/upgrade_db_to_1_5.java	(revision 5030)
+++ src/upgrade_db_to_1_5.java	(revision 5031)
@@ -33,7 +33,7 @@
 import java.sql.SQLException;
 import java.sql.DriverManager;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 public class upgrade_db_to_1_5{