Index: test/JDBCTest.java
===================================================================
--- test/JDBCTest.java	(revision 5034)
+++ test/JDBCTest.java	(revision 5035)
@@ -30,7 +30,7 @@
 import java.sql.*;
 import edu.ucsb.nceas.metacat.*;
 import edu.ucsb.nceas.metacat.database.*;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
Index: test/edu/ucsb/nceas/metacatnettest/MetaCatServletNetTest.java
===================================================================
--- test/edu/ucsb/nceas/metacatnettest/MetaCatServletNetTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacatnettest/MetaCatServletNetTest.java	(revision 5035)
@@ -28,7 +28,7 @@
 
 import edu.ucsb.nceas.MCTestCase;
 import edu.ucsb.nceas.metacat.*;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 import junit.framework.Test;
Index: test/edu/ucsb/nceas/MCTestCase.java
===================================================================
--- test/edu/ucsb/nceas/MCTestCase.java	(revision 5034)
+++ test/edu/ucsb/nceas/MCTestCase.java	(revision 5035)
@@ -54,7 +54,7 @@
 import edu.ucsb.nceas.metacat.client.MetacatException;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.RequestUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
@@ -99,7 +99,7 @@
 				new SortedProperties("build/tests/test.properties");
 			testProperties.load();
 			String metacatContextDir = testProperties.getProperty("metacat.contextDir");
-			PropertyService.getTestInstance(metacatContextDir + "/WEB-INF");
+			PropertyService.getInstance(metacatContextDir + "/WEB-INF");
 //			PropertyService.getInstance();
 		    String printDebugString = PropertyService.getProperty("test.printdebug");
 		    printDebug = Boolean.parseBoolean(printDebugString);
Index: test/edu/ucsb/nceas/metacat/clientview/ClientViewHelperTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/clientview/ClientViewHelperTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacat/clientview/ClientViewHelperTest.java	(revision 5035)
@@ -23,7 +23,7 @@
 import org.w3c.dom.Node;
 
 import edu.ucsb.nceas.metacat.client.MetacatClient;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 
 /**
  * ClientViewHelper JUnit tests
Index: test/edu/ucsb/nceas/metacattest/OnlineDataAccessTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/OnlineDataAccessTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/OnlineDataAccessTest.java	(revision 5035)
@@ -40,7 +40,7 @@
 import edu.ucsb.nceas.metacat.client.MetacatException;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.IOUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
Index: test/edu/ucsb/nceas/metacattest/PropertyServiceTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/PropertyServiceTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/PropertyServiceTest.java	(revision 5035)
@@ -31,7 +31,7 @@
 
 import edu.ucsb.nceas.MCTestCase;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
 import junit.framework.TestSuite;
Index: test/edu/ucsb/nceas/metacattest/QuerySpecificationTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/QuerySpecificationTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/QuerySpecificationTest.java	(revision 5035)
@@ -33,7 +33,7 @@
 
 import edu.ucsb.nceas.MCTestCase;
 import edu.ucsb.nceas.metacat.QuerySpecification;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
Index: test/edu/ucsb/nceas/metacattest/SubTreeTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/SubTreeTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/SubTreeTest.java	(revision 5035)
@@ -30,7 +30,7 @@
 import edu.ucsb.nceas.metacat.*;
 import edu.ucsb.nceas.metacat.database.*;
 import edu.ucsb.nceas.metacat.replication.*;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 import junit.framework.Test;
Index: test/edu/ucsb/nceas/metacattest/QueryResultBuilderTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/QueryResultBuilderTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/QueryResultBuilderTest.java	(revision 5035)
@@ -31,7 +31,7 @@
 import edu.ucsb.nceas.MCTestCase;
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 
 import junit.framework.Test;
 import junit.framework.TestSuite;
Index: test/edu/ucsb/nceas/metacattest/UploadIPCCDataTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/UploadIPCCDataTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/UploadIPCCDataTest.java	(revision 5035)
@@ -30,7 +30,7 @@
 import edu.ucsb.nceas.metacat.client.Metacat;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.replication.*;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
 import edu.ucsb.nceas.utilities.XMLUtilities;
Index: test/edu/ucsb/nceas/metacattest/NonAsciiCharacterTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/NonAsciiCharacterTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/NonAsciiCharacterTest.java	(revision 5035)
@@ -40,7 +40,7 @@
 import edu.ucsb.nceas.metacat.client.MetacatException;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.IOUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java	(revision 5035)
@@ -32,7 +32,7 @@
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestDetailLog;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestDocument;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestSiteSchedule;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 import java.sql.Connection;
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java	(revision 5035)
@@ -29,7 +29,7 @@
 
 import edu.ucsb.nceas.MCTestCase;
 import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java	(revision 5035)
@@ -31,7 +31,7 @@
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestDocument;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestSiteSchedule;
 import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 import java.io.StringReader;
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java	(revision 5035)
@@ -35,7 +35,7 @@
 import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestDocument;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestLog;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 import junit.framework.Test;
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java	(revision 5035)
@@ -30,7 +30,7 @@
 import edu.ucsb.nceas.MCTestCase;
 import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestSiteSchedule;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 import java.util.Date;
Index: test/edu/ucsb/nceas/metacattest/QueryGroupTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/QueryGroupTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/QueryGroupTest.java	(revision 5035)
@@ -29,7 +29,7 @@
 import edu.ucsb.nceas.MCTestCase;
 import edu.ucsb.nceas.metacat.QueryGroup;
 import edu.ucsb.nceas.metacat.QueryTerm;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 /**
Index: test/edu/ucsb/nceas/metacattest/MetaCatServletTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/MetaCatServletTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/MetaCatServletTest.java	(revision 5035)
@@ -27,7 +27,7 @@
 package edu.ucsb.nceas.metacattest;
 
 import edu.ucsb.nceas.MCTestCase;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.HttpMessage;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
Index: test/edu/ucsb/nceas/metacattest/VersionTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/VersionTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/VersionTest.java	(revision 5035)
@@ -24,8 +24,8 @@
 package edu.ucsb.nceas.metacattest;
 
 import edu.ucsb.nceas.MCTestCase;
-import edu.ucsb.nceas.metacat.MetaCatVersion;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.MetacatVersion;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 
@@ -51,8 +51,8 @@
     public void testGetVersion()
     {
     	try {
-            assertTrue(PropertyService.getProperty("application.metacatVersion").equals(MetaCatVersion.getVersionID()));
-            System.out.println(MetaCatVersion.getVersionID());
+            assertTrue(PropertyService.getProperty("application.metacatVersion").equals(MetacatVersion.getVersionID()));
+            System.out.println(MetacatVersion.getVersionID());
     	} catch (PropertyNotFoundException pnfe) {
     		fail ("Could not get metacat version property; " + pnfe.getMessage());
     	}
@@ -65,8 +65,8 @@
     public void testPrintVersionAsXml()
     {
     	try {
-        System.out.println(MetaCatVersion.getVersionAsXml());
-        assertTrue(MetaCatVersion.getVersionAsXml().indexOf(
+        System.out.println(MetacatVersion.getVersionAsXml());
+        assertTrue(MetacatVersion.getVersionAsXml().indexOf(
                 PropertyService.getProperty("application.metacatVersion")) != -1);
     	} catch (PropertyNotFoundException pnfe) {
     		fail ("Could not get metacat version property; " + pnfe.getMessage());
Index: test/edu/ucsb/nceas/metacattest/BuildIndexTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/BuildIndexTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/BuildIndexTest.java	(revision 5035)
@@ -44,7 +44,7 @@
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
 import edu.ucsb.nceas.metacat.database.DatabaseService;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
Index: test/edu/ucsb/nceas/metacattest/SchemaRegistryTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/SchemaRegistryTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/SchemaRegistryTest.java	(revision 5035)
@@ -45,7 +45,7 @@
 import edu.ucsb.nceas.metacat.client.MetacatException;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.FileUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import edu.ucsb.nceas.utilities.UtilException;
Index: test/edu/ucsb/nceas/metacattest/InlineDataAccessTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/InlineDataAccessTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/InlineDataAccessTest.java	(revision 5035)
@@ -40,7 +40,7 @@
 import edu.ucsb.nceas.metacat.client.MetacatException;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.IOUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
Index: test/edu/ucsb/nceas/metacattest/ReplicationServerListTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/ReplicationServerListTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/ReplicationServerListTest.java	(revision 5035)
@@ -30,7 +30,7 @@
 import edu.ucsb.nceas.metacat.*;
 import edu.ucsb.nceas.metacat.database.*;
 import edu.ucsb.nceas.metacat.replication.*;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import junit.framework.Test;
 import junit.framework.TestSuite;
Index: test/edu/ucsb/nceas/metacattest/client/MetacatClientTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/client/MetacatClientTest.java	(revision 5034)
+++ test/edu/ucsb/nceas/metacattest/client/MetacatClientTest.java	(revision 5035)
@@ -46,7 +46,7 @@
 import edu.ucsb.nceas.metacat.client.MetacatException;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.FileUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;