Index: lib/style/skins/parc/parc.properties.metadata.xml
===================================================================
--- lib/style/skins/parc/parc.properties.metadata.xml	(nonexistent)
+++ lib/style/skins/parc/parc.properties.metadata.xml	(revision 5125)
@@ -0,0 +1,156 @@
+<?xml version="1.0"?>
+
+<metadataConfig>
+	<group>
+		<index>1</index>
+		<name>Skins Configuration</name>
+		<comment>Choose configure the skins that will be available in this instance of MetaCat.</comment> 
+		<description>Skin Configuration Values.</description>
+	</group>
+
+	<config>
+		<key>registry.db.connection</key>
+		<label>Database Connection</label>
+		<group>1</group>
+		<index>1</index>
+		<description>Local database connection string.</description>
+	</config>
+	
+	<config>
+		<key>registry.db.user</key>
+		<label>Database Username</label>
+		<group>1</group>
+		<index>2</index>
+		<description>Local database user name.</description>
+	</config>
+
+	<config>
+		<key>registry.db.password</key>
+		<label>Database Password</label>
+		<group>1</group>
+		<fieldType>password</fieldType>
+		<index>3</index>
+		<description>Local database password.</description>
+	</config>
+	
+		<config>
+		<key>registry.show.siteList</key>
+		<label>Show Site List</label>
+		<group>1</group>
+		<index>4</index>
+		<fieldType>checkbox</fieldType>
+		<description>Show the site list in the registry.</description>
+		<helpFile>properties.html#registry.show.siteList</helpFile>
+	</config>
+
+	<config>
+		<key>registry.show.wgList</key>
+		<label>Show Work Group List</label>
+		<group>1</group>
+		<index>5</index>
+		<fieldType>checkbox</fieldType>
+		<description>Show the work group list in the registry.</description>
+		<helpFile>properties.html#registry.show.wgList</helpFile>
+	</config>
+
+	<config>
+		<key>registry.show.organization</key>
+		<label>Show Organization List</label>
+		<group>1</group>
+		<index>6</index>
+		<fieldType>checkbox</fieldType>
+		<description>Show the organization in the registry.</description>
+		<helpFile>properties.html#registry.show.organization</helpFile>
+	</config>
+
+	<config>
+		<key>registry.modules.taxonomic</key>
+		<label>Show Taxonomic Module</label>
+		<group>1</group>
+		<index>7</index>
+		<fieldType>checkbox</fieldType>
+		<description>Show the taxonmic section in the registry.</description>
+		<helpFile>properties.html#registry.modules.taxonomic</helpFile>
+	</config>
+	
+	<config>
+		<key>registry.modules.method</key>
+		<label>Show Method Module</label>
+		<group>1</group>
+		<index>8</index>
+		<fieldType>checkbox</fieldType>
+		<description>Show the method section in the registry.</description>
+		<helpFile>properties.html#registry.modules.method</helpFile>
+	</config>
+	
+	<config>
+		<key>registry.modules.spatial</key>
+		<label>Show Spatial Module</label>
+		<group>1</group>
+		<index>9</index>
+		<fieldType>checkbox</fieldType>
+		<description>Show the spatial section in the registry.</description>
+		<helpFile>properties.html#registry.modules.spatial</helpFile>
+	</config>
+
+	<config>
+		<key>registry.modules.keyword</key>
+		<label>Show Keyword Module</label>
+		<group>1</group>
+		<index>10</index>
+		<fieldType>checkbox</fieldType>
+		<description>Show the keyword section in the registry.</description>
+		<helpFile>properties.html#registry.modules.keyword</helpFile>
+	</config>
+
+	<config>
+		<key>registry.modules.temporal</key>
+		<label>Show Temporal Module</label>
+		<group>1</group>
+		<index>11</index>
+		<fieldType>checkbox</fieldType>
+		<description>Show the temporal section in the registry.</description>
+		<helpFile>properties.html#registry.modules.temporal</helpFile>
+	</config>
+	
+	<config>
+		<key>registry.modules.upload</key>
+		<label>Show Upload Module</label>
+		<group>1</group>
+		<index>12</index>
+		<fieldType>checkbox</fieldType>
+		<description>Show the upload section in the registry.</description>
+		<helpFile>properties.html#registry.modules.upload</helpFile>
+	</config>
+	
+	<config>
+		<key>registry.required.temporal</key>
+		<label>Temporal Value Required</label>
+		<group>1</group>
+		<index>13</index>
+		<fieldType>checkbox</fieldType>
+		<description>Determine if temporal value must be entered.</description>
+		<helpFile>properties.html#registry.required.temporal</helpFile>
+	</config>
+	
+	<config>
+		<key>registry.required.spatial</key>
+		<label>Spatial Value Required</label>
+		<group>1</group>
+		<index>14</index>
+		<fieldType>checkbox</fieldType>
+		<description>Determine if spatial value must be entered.</description>
+		<helpFile>properties.html#registry.required.spatial</helpFile>
+	</config>
+	
+	<config>
+		<key>registry.required.contactEmailAddress</key>
+		<label>Contact Email Address Required</label>
+		<group>1</group>
+		<index>15</index>
+		<fieldType>checkbox</fieldType>
+		<description>Determine if contact email address must be entered.</description>
+		<helpFile>properties.html#registry.required.contactEmailAddress</helpFile>
+	</config>
+
+</metadataConfig>
\ No newline at end of file

Property changes on: lib/style/skins/parc/parc.properties.metadata.xml
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property