Index: lib/style/skins/parc/parc-common.xsl
===================================================================
--- lib/style/skins/parc/parc-common.xsl	(nonexistent)
+++ lib/style/skins/parc/parc-common.xsl	(revision 5134)
@@ -0,0 +1,114 @@
+<?xml version="1.0"?>
+<!--
+	*  '$RCSfile$'
+	*      Authors: Matt Jones, Chad Berkley
+	*    Copyright: 2000-2007 Regents of the University of California and the
+	*               National Center for Ecological Analysis and Synthesis
+	*  For Details: http://www.nceas.ucsb.edu/
+	*
+	*   '$Author: leinfelder $'
+	*     '$Date: 2008-02-27 09:43:25 -0800 (Wed, 27 Feb 2008) $'
+	* '$Revision: 3742 $'
+	*
+	* This program is free software; you can redistribute it and/or modify
+	* it under the terms of the GNU General Public License as published by
+	* the Free Software Foundation; either version 2 of the License, or
+	* (at your option) any later version.
+	*
+	* This program is distributed in the hope that it will be useful,
+	* but WITHOUT ANY WARRANTY; without even the implied warranty of
+	* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+	* GNU General Public License for more details.
+	*
+	* You should have received a copy of the GNU General Public License
+	* along with this program; if not, write to the Free Software
+	* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+	*
+	* This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
+	* convert an XML file showing the resultset of a query
+	* into an HTML format suitable for rendering with modern web browsers.
+-->
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns:eml="eml://ecoinformatics.org/eml-2.0.1" 
+	            version="1.0"> 
+
+	<xsl:output method="html" />
+	<xsl:param name="sessid" />
+	<xsl:param name="qformat">parc</xsl:param>
+	<xsl:param name="enableediting">false</xsl:param>
+	<xsl:param name="contextURL"/>
+	<xsl:param name="cgi-prefix"/>
+	
+	<xsl:template name="documenthead">
+		<head>
+			<title>PARC Data Repository
+			<xsl:if test="*[local-name()='eml']">     	
+            	<xsl:text>: </xsl:text><xsl:value-of select="/eml:eml/dataset/title"/>
+            </xsl:if>
+            </title>
+                        
+			<link rel="stylesheet" type="text/css"
+				href="{$contextURL}/style/skins/{$qformat}/{$qformat}.css" />
+			<script language="Javascript" type="text/JavaScript"
+				src="{$contextURL}/style/skins/{$qformat}/{$qformat}.js" />
+			<script language="Javascript" type="text/JavaScript"
+				src="{$contextURL}/style/common/branding.js" />
+			<script type="text/javascript"
+				src="{$contextURL}/style/skins/nceas/navigation.js">
+			</script>
+			<link rel="stylesheet" type="text/css"
+				href="{$contextURL}/style/skins/{$qformat}/{$qformat}.css" />
+
+			<script language="JavaScript">
+				<![CDATA[
+         		function submitform(action,form_ref) {
+             		form_ref.action.value=action;
+             		form_ref.sessionid.value="]]><xsl:value-of select="$sessid" /><![CDATA[";
+             		form_ref.qformat.value="]]><xsl:value-of select="$qformat" /><![CDATA[";
+		            form_ref.submit();
+         		}
+				]]>
+			</script>
+		</head>
+	</xsl:template>
+	
+	<xsl:template name="bodyheader">
+		<div id="header">
+		</div>
+		<div id="navigation">
+			<ul id="main_nav">
+
+				<ul class="menu">
+					<li class="collapsed">
+						<a href="http://www.palmyraresearch.org">Home
+						</a>
+					</li>
+					<li class="collapsed">
+						<a href="http://data.piscoweb.org/catalog/style/skins/parc">
+						   Repository</a>
+					</li>
+					<li class="collapsed">
+						<a href="{$cgi-prefix}/register-dataset.cgi?cfg=parc">
+						   Register</a>
+					</li>
+          <li class="collapsed">
+            <span id="login_block"></span>
+          </li>
+				</ul>
+			</ul>
+		</div><!-- navigation -->
+	</xsl:template>
+    
+    <xsl:template name="emldocument">
+    	<table xsl:use-attribute-sets="cellspacing" width="100%"
+               class="{$mainContainerTableStyle}">
+            <xsl:apply-templates select="*[local-name()='eml']"/>
+        </table>
+    </xsl:template>
+
+	<xsl:template name="bodyfooter">
+		<div id="footer">
+		</div>
+	</xsl:template>
+
+</xsl:stylesheet>

Property changes on: lib/style/skins/parc/parc-common.xsl
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: lib/style/skins/parc/parc.xsl
===================================================================
--- lib/style/skins/parc/parc.xsl	(nonexistent)
+++ lib/style/skins/parc/parc.xsl	(revision 5134)
@@ -0,0 +1,75 @@
+<?xml version="1.0"?>
+<!--
+	*  '$RCSfile$'
+	*      Authors: Matt Jones, Chad Berkley
+	*    Copyright: 2000-2007 Regents of the University of California and the
+	*               National Center for Ecological Analysis and Synthesis
+	*  For Details: http://www.nceas.ucsb.edu/
+	*
+	*   '$Author: daigle $'
+	*     '$Date: 2009-04-14 11:13:23 -0600 (Tue, 14 Apr 2009) $'
+	* '$Revision: 4918 $'
+	*
+	* This program is free software; you can redistribute it and/or modify
+	* it under the terms of the GNU General Public License as published by
+	* the Free Software Foundation; either version 2 of the License, or
+	* (at your option) any later version.
+	*
+	* This program is distributed in the hope that it will be useful,
+	* but WITHOUT ANY WARRANTY; without even the implied warranty of
+	* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+	* GNU General Public License for more details.
+	*
+	* You should have received a copy of the GNU General Public License
+	* along with this program; if not, write to the Free Software
+	* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+	*
+	* This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
+	* convert an XML file showing the resultset of a query
+	* into an HTML format suitable for rendering with modern web browsers.
+-->
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns:eml="eml://ecoinformatics.org/eml-2.0.1" 
+	            version="1.0">
+    <xsl:import href="../../common/resultset-table.xsl"/>
+    <!-- xsl:import href="../../common/eml-2.0.1/emlroot.xsl"/ -->
+    <xsl:import href="../../common/eml-2/emlroot.xsl"/>
+    <xsl:import href="../../common/fgdc/fgdc-root.xsl"/>
+    <xsl:import href="parc-common.xsl"/>
+	
+	<xsl:template match="/">
+		<html>
+		
+			<xsl:call-template name="documenthead"/>
+			
+			<body id="Overview" onload="loginStatus('{$contextURL}/metacat', '{$cgi-prefix}');">
+				<div id="main_wrapper">
+					
+				    <xsl:call-template name="bodyheader"/>
+				    
+					<div id="content_wrapper">
+					                        
+                   		<xsl:if test="*[local-name()='eml']">     	
+                            <xsl:call-template name="emldocument"/>
+                        </xsl:if>
+                        
+                        <xsl:if test="*[local-name()='resultset']">     	
+                            <xsl:call-template name="resultstable"/>
+                        </xsl:if>
+                        
+                        <xsl:if test="*[local-name()='metadata']">     	
+                            <xsl:call-template name="metadata"/>
+                        </xsl:if>
+                        
+						<xsl:call-template name="bodyfooter"/>
+						
+					</div><!-- id="content_wrapper"-->
+					
+				</div><!-- id="main_wraper"-->
+				
+			</body>
+			
+		</html>
+	</xsl:template>
+
+</xsl:stylesheet>

Property changes on: lib/style/skins/parc/parc.xsl
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: lib/style/skins/parc/parc-login.xsl
===================================================================
--- lib/style/skins/parc/parc-login.xsl	(nonexistent)
+++ lib/style/skins/parc/parc-login.xsl	(revision 5134)
@@ -0,0 +1,92 @@
+<?xml version="1.0"?>
+<!--
+  *  '$RCSfile$'
+  *      Authors: Ben Leinfelder
+  *    Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *  For Details: http://www.nceas.ucsb.edu/
+  *
+  *   '$Author: leinfelder $'
+  *     '$Date: 2008-06-17 14:16:32 -0600 (Tue, 17 Jun 2008) $'
+  * '$Revision: 4006 $'
+  * 
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+  * the Free Software Foundation; either version 2 of the License, or
+  * (at your option) any later version.
+  *
+  * This program is distributed in the hope that it will be useful,
+  * but WITHOUT ANY WARRANTY; without even the implied warranty of
+  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  * GNU General Public License for more details.
+  *
+  * You should have received a copy of the GNU General Public License
+  * along with this program; if not, write to the Free Software
+  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+  *
+  * This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
+  * convert an XML file with information about login action
+  * into an HTML format suitable for rendering with modern web browsers.
+-->
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
+
+  <xsl:output method="html"/>
+  <xsl:param name="qformat">parc</xsl:param>
+  <xsl:param name="contextURL"/>
+  <xsl:param name="cgi-prefix"/>
+  <xsl:template match="/">
+   <html>
+      <head>
+        <link rel="stylesheet" type="text/css"
+              href="{$contextURL}/style/skins/parc/parc.css" />
+        <script language="Javascript" type="text/JavaScript"
+                src="{$contextURL}/style/skins/parc/parc.js" />
+        <script language="Javascript" type="text/JavaScript"
+                src="{$contextURL}/style/common/branding.js" />
+         <script language="JavaScript">
+         <![CDATA[
+            function search(){
+                location.href = "]]><xsl:value-of select="$cgi-prefix" /><![CDATA[/register-dataset.cgi?cfg=parc";
+            }]]>
+         </script>
+      </head>
+      <body onload="timerId=setTimeout('search()',2000)">
+      <div id="main_wrapper">
+
+      <div id="header">
+      </div>
+      <div id="navigation">
+          <p></p>
+          <ul id="main_nav">
+              <ul class="menu">
+                  <li class="collapsed"><a href="http://www.palmyraresearch.org">Home</a></li>
+                  <li class="collapsed"><a href="http://data.piscoweb.org/catalog/style/skins/parc">Repository</a></li>
+                  <li class="collapsed"><a href="{$cgi-prefix}/register-dataset.cgi?cfg=parc">Register</a></li>
+            </ul>
+        </ul>
+    </div> <!-- navigation -->
+
+    <div id="content_wrapper">
+        <h1>PARC Data Repository</h1>
+
+      <xsl:if test="count(login) &gt; 0">
+          <p class="text_plain">
+            Welcome <xsl:value-of select="login/name"/>. You will be automatically redirected to the data repository form.
+          </p>
+      </xsl:if>
+      <xsl:if test="count(unauth_login) &gt; 0">
+          <p class="text_plain">
+            <xsl:value-of select="unauth_login/message" />
+          </p>
+      </xsl:if>
+          <p class="text_plain">
+            Return to the <a href="{$contextURL}/style/skins/parc/">Registry home</a>.
+          </p>
+        </div>
+        </div>
+      </body>
+    </html>
+    </xsl:template>
+
+</xsl:stylesheet>

Property changes on: lib/style/skins/parc/parc-login.xsl
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: lib/style/skins/parc/parc-eml-2.1.0.xsl
===================================================================
--- lib/style/skins/parc/parc-eml-2.1.0.xsl	(nonexistent)
+++ lib/style/skins/parc/parc-eml-2.1.0.xsl	(revision 5134)
@@ -0,0 +1,75 @@
+<?xml version="1.0"?>
+<!--
+	*  '$RCSfile$'
+	*      Authors: Matt Jones, Chad Berkley
+	*    Copyright: 2000-2007 Regents of the University of California and the
+	*               National Center for Ecological Analysis and Synthesis
+	*  For Details: http://www.nceas.ucsb.edu/
+	*
+	*   '$Author: leinfelder $'
+	*     '$Date: 2008-02-27 09:43:25 -0800 (Wed, 27 Feb 2008) $'
+	* '$Revision: 3742 $'
+	*
+	* This program is free software; you can redistribute it and/or modify
+	* it under the terms of the GNU General Public License as published by
+	* the Free Software Foundation; either version 2 of the License, or
+	* (at your option) any later version.
+	*
+	* This program is distributed in the hope that it will be useful,
+	* but WITHOUT ANY WARRANTY; without even the implied warranty of
+	* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+	* GNU General Public License for more details.
+	*
+	* You should have received a copy of the GNU General Public License
+	* along with this program; if not, write to the Free Software
+	* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+	*
+	* This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
+	* convert an XML file showing the resultset of a query
+	* into an HTML format suitable for rendering with modern web browsers.
+-->
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns:eml="eml://ecoinformatics.org/eml-2.0.1" 
+	            version="1.0">
+    <xsl:import href="../../common/resultset-table.xsl"/>
+    <!-- xsl:import href="../../common/eml-2.1.0/emlroot.xsl"/ -->
+    <xsl:import href="../../common/eml-2/emlroot.xsl"/>
+    <xsl:import href="../../common/fgdc/fgdc-root.xsl"/>
+    <xsl:import href="parc-common.xsl"/>
+	
+	<xsl:template match="/">
+		<html>
+		
+			<xsl:call-template name="documenthead"/>
+			
+			<body id="Overview" onload="loginStatus('{$contextURL}/metacat', '{$cgi-prefix}');">
+				<div id="main_wrapper">
+					
+				    <xsl:call-template name="bodyheader"/>
+				    
+					<div id="content_wrapper">
+					                        
+                   		<xsl:if test="*[local-name()='eml']">     	
+                            <xsl:call-template name="emldocument"/>
+                        </xsl:if>
+                        
+                        <xsl:if test="*[local-name()='resultset']">     	
+                            <xsl:call-template name="resultstable"/>
+                        </xsl:if>
+                        
+                        <xsl:if test="*[local-name()='metadata']">     	
+                            <xsl:call-template name="metadata"/>
+                        </xsl:if>
+                        
+						<xsl:call-template name="bodyfooter"/>
+						
+					</div><!-- id="content_wrapper"-->
+					
+				</div><!-- id="main_wraper"-->
+				
+			</body>
+			
+		</html>
+	</xsl:template>
+
+</xsl:stylesheet>

Property changes on: lib/style/skins/parc/parc-eml-2.1.0.xsl
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property