Index: lib/style/skins/parc/parc-common.xsl
===================================================================
--- lib/style/skins/parc/parc-common.xsl	(revision 5142)
+++ lib/style/skins/parc/parc-common.xsl	(revision 5143)
@@ -84,7 +84,7 @@
 						</a>
 					</li>
 					<li class="collapsed">
-						<a href="http://data.piscoweb.org/catalog/style/skins/parc">
+						<a href="{$contextURL}">
 						   Repository</a>
 					</li>
 					<li class="collapsed">
Index: lib/style/skins/parc/parc-login.xsl
===================================================================
--- lib/style/skins/parc/parc-login.xsl	(revision 5142)
+++ lib/style/skins/parc/parc-login.xsl	(revision 5143)
@@ -61,7 +61,7 @@
           <ul id="main_nav">
               <ul class="menu">
                   <li class="collapsed"><a href="http://www.palmyraresearch.org">Home</a></li>
-                  <li class="collapsed"><a href="http://data.piscoweb.org/catalog/style/skins/parc">Repository</a></li>
+                  <li class="collapsed"><a href="{$contextURL}">Repository</a></li>
                   <li class="collapsed"><a href="{$cgi-prefix}/register-dataset.cgi?cfg=parc">Register</a></li>
             </ul>
         </ul>
Index: lib/style/skins/parc/index.jsp
===================================================================
--- lib/style/skins/parc/index.jsp	(revision 5142)
+++ lib/style/skins/parc/index.jsp	(revision 5143)
@@ -53,8 +53,8 @@
     <div id="navigation">
         <ul id="main_nav">
             <ul class="menu">
-                <li class="collapsed"><a href="http://www.palmyraresearch.org">Home</a></li>
-                <li class="collapsed"><a href="http://data.piscoweb.org/catalog/style/skins/parc">Repository</a></li>
+                <li class="collapsed"><a href="<%=SERVER_URL%>">Home</a></li>
+                <li class="collapsed"><a href="<%=CONTEXT_URL%>">Repository</a></li>
                 <li class="collapsed"><a href="<%=CGI_URL%>/register-dataset.cgi?cfg=parc">Register</a></li>
                 <li class="collapsed"><span id="login_block"></span></li>
             </ul>
Index: lib/style/skins/parc/map.jsp
===================================================================
--- lib/style/skins/parc/map.jsp	(revision 5142)
+++ lib/style/skins/parc/map.jsp	(revision 5143)
@@ -31,15 +31,15 @@
 <head>
 <title>PARC Data Repository Interactive Map</title>
   <link rel="stylesheet" type="text/css" 
-        href="<%=STYLE_SKINS_URL%>/nceas/nceas.css">
+        href="<%=STYLE_SKINS_URL%>/parc/parc.css">
   <script language="JavaScript" type="text/JavaScript"
-          src="<%=STYLE_SKINS_URL%>/nceas/nceas.js"></script>
+          src="<%=STYLE_SKINS_URL%>/parc/parc.js"></script>
   <script language="JavaScript" type="text/JavaScript"
           src="<%=STYLE_COMMON_URL%>/branding.js"></script>
   <script type="text/javascript" 
-          src="<%=STYLE_SKINS_URL%>/nceas/navigation.js"></script>
+          src="<%=STYLE_SKINS_URL%>/parc/navigation.js"></script>
   <script type="text/javascript"
-          src="<%=STYLE_SKINS_URL%>/nceas/search.js"></script>
+          src="<%=STYLE_SKINS_URL%>/parc/search.js"></script>
 
 </head>
 <body id="Overview" onload="loginStatus('<%=SERVLET_URL%>', '<%=CGI_URL%>');">
@@ -51,8 +51,8 @@
         <p></p>
         <ul id="main_nav">
             <ul class="menu">
-                <li class="collapsed"><a href="http://www.palmyraresearch.org">Home</a></li>
-                <li class="collapsed"><a href="http://data.piscoweb.org/catalog/style/skins/parc">Repository</a></li>
+                <li class="collapsed"><a href="<%=SERVER_URL%>">Home</a></li>
+                <li class="collapsed"><a href="<%=CONTEXT_URL%>">Repository</a></li>
                 <li class="collapsed"><a href="<%=CGI_URL%>/register-dataset.cgi?cfg=parc">Register</a></li>
                 <li class="collapsed"><span id="login_block"></span></li>
             </ul>
@@ -67,30 +67,6 @@
 
 <div id="footer">
     <div id="footer_logos">
-                <a href="http://www.msi.ucsb.edu/"><img
-src="images/logo_msi.jpg" alt="MSI: Marine Science Institute" height="66"
-width="132"></a><a href="http://www.nsf.gov/"><img src="images/logo_nsf.jpg"
-alt="NSF: National Science 
-Foundation" height="66" width="70"></a><a href="http://www.ucsb.edu/"><img
-src="images/logo_ucsb.jpg" alt="UCSB: University of California at Santa Barbara"
-height="66" width="132"></a>
-    </div> <!-- footer_logos -->
-    <div id="footer_contact">
-        <span class="contact_name">National Center for Ecological Analysis and Synthesis</span>
-
-        <span class="contact_address">735 State Street, Suite 300, Santa Barbara, CA 93101</span>
-        <span class="copyright">Copyright &copy; 2007 The Regents of the
-University of California, All Rights Reserved</span>
-        <span class="copyright"><a href="http://www.ucsb.edu/" title="Visit the
-UCSB website">UC Santa Barbara</a>, Santa Barbara CA 93106 &bull; (805)
-893-8000</span>
-        <span class="copyright"><a href="mailto:webmaster@nceas.ucsb.edu"
-title="E-mail the PARC webmaster">Contact</a> &bull; <a
-href="http://www.ucsb.edu/policies/terms-of-use.shtml">Terms of Use</a> &bull; <a
-href="http://www.nceas.ucsb.edu/accessibility" title="PARC is committed to the
-accessibility of its products for all users">Accessibility</a></span>
-
-        
     </div> <!-- footer_contact -->
 </div>
 
Index: lib/style/common/templates/parcHeader.tmpl
===================================================================
--- lib/style/common/templates/parcHeader.tmpl	(revision 5142)
+++ lib/style/common/templates/parcHeader.tmpl	(revision 5143)
@@ -26,7 +26,7 @@
           </a>
         </li>
         <li class="collapsed">
-          <a href="http://data.piscoweb.org/catalog/style/skins/parc">
+          <a href="[% contextUrl %]">
             Repository
           </a>
         </li>